Update an API
Updates an API.
Authentication
x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic
Basic authentication of the form Basic <base64(username:password)>.
Path parameters
apiId
The API's ID.
Headers
Accept
The application/vnd.api.v10+json request header required to use the endpoint.
Allowed values:
Request
This endpoint expects an object.
name
The API's name.
summary
The API's short summary.
description
The API's description. This supports Markdown formatting.
Response
Successful Response
name
The API's name.
id
The API's ID.
summary
The API's summary.
createdAt
The date and time at which the API was created.
createdBy
The user ID of the user that created the API.
updatedAt
The date and time at which the API was last updated.
updatedBy
The user ID of the user that updated the API.
description
The API's description. This supports Markdown formatting.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error